#!/usr/bin/env python
"""
Copyright © Huawei Technologies Co., Ltd. 2010-2019. All rights reserved.
description     :   list at mn msg
modify  record  :   2019-05-25 create file
"""

at_mn_msg_enum_table = {
#msg
0x1001 : "MN_MSG_MSGTYPE_SEND_RPDATA_DIRECT",
0x1002 : "MN_MSG_MSGTYPE_SEND_RPDATA_FROMMEM",
0x1003 : "MN_MSG_MSGTYPE_SEND_RPRPT",
0x1004 : "MN_MSG_MSGTYPE_WRITE",
0x1005 : "MN_MSG_MSGTYPE_READ",
0x1006 : "MN_MSG_MSGTYPE_LIST",
0x1007 : "MN_MSG_MSGTYPE_DELETE",
0x1008 : "MN_MSG_MSGTYPE_DELETE_TEST",
0x1009 : "MN_MSG_MSGTYPE_WRITE_SRV_PARA",
0x100a : "MN_MSG_MSGTYPE_READ_SRV_PARA",
0x100b : "MN_MSG_MSGTYPE_DELETE_SRV_PARA",
0x100c : "MN_MSG_MSGTYPE_MODIFY_STATUS",
0x100d : "MN_MSG_MSGTYPE_SET_RCVPATH",
0x100e : "MN_MSG_MSGTYPE_GET_RCVPATH",
0x100f : "MN_MSG_MSGTYPE_GET_STORAGESTATUS",
0x1010 : "MN_MSG_MSGTYPE_READ_STARPT",
0x1011 : "MN_MSG_MSGTYPE_DELETE_STARPT",
0x1012 : "MN_MSG_MSGTYPE_GET_STARPT_FROMMOMSG",
0x1013 : "MN_MSG_MSGTYPE_GET_MOMSG_FROMSTARPT",
0x1014 : "MN_MSG_MSGTYPE_SET_MEMSTATUS",
0x1015 : "MN_MSG_MSGTYPE_SET_RELAY_LINK_CTRL",
0x1016 : "MN_MSG_MSGTYPE_GET_RELAY_LINK_CTRL",
0x1017 : "MN_MSG_MSGTYPE_STUB",
0x1018 : "MN_MSG_MSGTYPE_GET_ALLCBMIDS",
0x1019 : "MN_MSG_MSGTYPE_ADD_CBMIDS",
0x101a : "MN_MSG_MSGTYPE_DELETE_CBMIDS",
0x101b : "MN_MSG_MSGTYPE_EMPTY_CBMIDS",
0x101c : "MN_MSG_MSGTYPE_SET_SMS_SEND_DOMAIN",
0x101d : "MN_MSG_MSGTYPE_GET_SMS_SEND_DOMAIN",

#ss
0x2001 : "TAF_MSG_REGISTERSS_MSG",
0x2002 : "TAF_MSG_ERASESS_MSG",
0x2003 : "TAF_MSG_ACTIVATESS_MSG",
0x2004 : "TAF_MSG_DEACTIVATESS_MSG",
0x2005 : "TAF_MSG_INTERROGATESS_MSG",
0x2006 : "TAF_MSG_REGPWD_MSG",
0x2007 : "TAF_MSG_PROCESS_USS_MSG",
0x2008 : "TAF_MSG_ERASECCENTRY_MSG",
0x2009 : "TAF_MSG_RLEASE_MSG",
0x200a : "TAF_MSG_SET_USSDMODE_MSG",
}

def get_at_mn_msg_str( MsgId):
    for MsgIdIndex in at_mn_msg_enum_table.keys():
        if MsgIdIndex == MsgId:
            return at_mn_msg_enum_table[MsgIdIndex]

    return "none"